Bug 772388 - [abrt] sd::SlideshowImpl::PostYieldListener
[abrt] sd::SlideshowImpl::PostYieldListener
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
abrt_hash:f0d5f5f0ddac38cd73646960021...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-07 07:07 EST by Jaroslav Lečko
Modified: 2012-01-30 15:57 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-30 15:57:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (20.55 KB, text/plain)
2012-01-07 07:07 EST, Jaroslav Lečko
no flags Details
File: maps (82.16 KB, text/plain)
2012-01-07 07:07 EST, Jaroslav Lečko
no flags Details
File: backtrace (42.47 KB, text/plain)
2012-01-07 07:07 EST, Jaroslav Lečko
no flags Details

  None (edit)
Description Jaroslav Lečko 2012-01-07 07:07:10 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///home/jaro/Dropbox/skola/RVS/01-VS.ppt --splash-pipe=7
crash_function: Reference
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.1.6-1.fc16.x86_64
pid:            8394
pwd:            /home/jaro
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Sat 07 Jan 2012 12:49:32 PM CET
uid:            1000
username:       jaro

backtrace:      Text file, 43494 bytes
dso_list:       Text file, 21048 bytes
maps:           Text file, 84135 bytes

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-jaro
:XDG_SESSION_ID=2
:HOSTNAME=jaro
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=8383
:GPG_AGENT_INFO=/tmp/keyring-2Hz9CQ/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-8208-jaro-libreoffice-5_TIME64156955
:HISTSIZE=1000
:XDG_SESSION_COOKIE=fa22dc2c0277de2d832cf3da0000000f-1325842331.725570-2144381713
:XRE_PROFILE_NAME=
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-2Hz9CQ
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:XRE_IMPORT_PROFILES=
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:IMSETTINGS_MODULE=none
:USER=jaro
:XRE_PROFILE_LOCAL_PATH=
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:XRE_START_OFFLINE=
:SSH_AUTH_SOCK=/tmp/keyring-2Hz9CQ/ssh
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:USERNAME=jaro
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1718,unix/unix:/tmp/.ICE-unix/1718
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-impress.desktop
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins-wrapped:/usr/lib64/firefox/plugins-wrapped
:MAIL=/var/spool/mail/jaro
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jaro/.local/bin:/home/jaro/bin
:DESKTOP_SESSION=gnome
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/jaro
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1709
:LANG=en_US.UTF-8
:XRE_PROFILE_PATH=
:XSUNSMESIZE=512
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/jaro
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=jaro
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:MOZ_LAUNCHED_CHILD=
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1sNv2ANxkM,guid=03311a94044ddc32f3b1c2b300000025
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:WINDOWPATH=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/firefox/firefox
:XRE_BINARY_PATH=
:XDG_RUNTIME_DIR=/run/user/jaro
:DISPLAY=:0.0
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/jaro/.mozilla/firefox/Crash Reports'
:XUL_APP_FILE=
:NO_AT_BRIDGE=1
:XAUTHORITY=/var/run/gdm/auth-for-jaro-QwRvle/database

smolt_data:
:
:
:General
:=================================
:UUID: 2a195a13-9323-4bb0-ad14-e840d688ea75
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.00
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T9400  @ 2.53GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2534
:System Memory: 3883
:System Swap: 5983
:Vendor: Acer
:System: TravelMate 6593 0100
:Form factor: Notebook
:Kernel: 3.1.6-1.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:32803:4133:312) pci, firewire_ohci, FIREWIRE, TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
:(32902:10816:4133:312) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4133:312) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4133:312) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4133:312) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10519:4133:312) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4133:312) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:9288:4133:312) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4133:312) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4133:312) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:16949:32902:4097) pci, iwlwifi, NETWORK, Ultimate N WiFi Link 5300
:(32902:10564:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10820:4133:312) pci, None, SIMPLE, Mobile 4 Series Chipset MEI Controller
:(32902:10823:4133:312) pci, serial, 16550_SERIAL, Mobile 4 Series Chipset AMT SOL Redirection
:(32902:10558:4133:312) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10568:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10552:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:38340:4133:312) pci, radeon, VIDEO, Mobility Radeon HD 3400 Series
:(32902:10822:4133:312) pci, ata_generic, STORAGE, Mobile 4 Series Chipset PT IDER Controller
:(4631:28981:4133:312) pci, yenta_cardbus, PCI/CARDBUS, Cardbus bridge
:(4631:28981:4133:312) pci, yenta_cardbus, PCI/CARDBUS, Cardbus bridge
:(4631:28960:4133:312) pci, sdhci-pci, BASE, Integrated MMC/SD Controller
:(4631:28976:4133:312) pci, None, STORAGE, Integrated MS/xD Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_jaro-lv_root / ext4 4096 4096 12901535 10924353 10793331 3276800 3051477 3051477
:/dev/mapper/vg_jaro-lv_home /home ext4 4096 4096 62378981 3923858 755193 15843328 15810251 15810251
:/dev/sda2 /boot ext4 1024 1024 495844 409888 384288 128016 127782 127782
:

var_log_messages:
:Jan  7 12:49:32 jaro kernel: [64174.005084] soffice.bin[8394]: segfault at 8 ip 00007f79f5f806fe sp 00007ffff5da32b0 error 4 in libsdlx.so[7f79f5adc000+5e5000]
:Jan  7 12:49:34 jaro abrt[8411]: Saved core dump of pid 8394 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-01-07-12:49:32-8394 (115179520 bytes)
Comment 1 Jaroslav Lečko 2012-01-07 07:07:15 EST
Created attachment 551364 [details]
File: dso_list
Comment 2 Jaroslav Lečko 2012-01-07 07:07:17 EST
Created attachment 551365 [details]
File: maps
Comment 3 Jaroslav Lečko 2012-01-07 07:07:19 EST
Created attachment 551366 [details]
File: backtrace
Comment 4 David Tardon 2012-01-09 00:42:17 EST
this sounds very much like the crash fixed by commit 84da4113b4ec80cccd5916bf1289564837d6d5f9
Comment 5 David Tardon 2012-01-09 06:45:36 EST
this will be fixed in 3.4.5
Comment 6 Fedora Update System 2012-01-25 03:45:08 EST
libreoffice-3.4.5.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-1.fc16
Comment 7 Fedora Update System 2012-01-25 17:27:30 EST
Package libreoffice-3.4.5.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.5.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0914/libreoffice-3.4.5.2-1.fc16
then log in and leave karma (feedback).
Comment 8 Jaroslav Lečko 2012-01-30 09:56:40 EST
I made test, problem is solved.
Comment 9 Fedora Update System 2012-01-30 15:57:44 EST
libreoffice-3.4.5.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.